#
# spec file for package rubygem-activesupport-2_3
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-activesupport-2_3
Version:        2.3.18
Release:        lp151.1.1
%define mod_name activesupport
%define mod_full_name %{mod_name}-%{version}
%define mod_version_suffix -2_3
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby}
BuildRequires:  %{rubygem gem2rpm}
Url:            http://www.rubyonrails.org
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Support and utility classes used by the Rails framework
License:        MIT
Group:          Development/Languages/Ruby

%description
Utility library which carries commonly used classes and goodies from the Rails
framework.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG README" \
  -f

%gem_packages

%changelog
* Fri Oct 24 2014 tboerger@suse.com
- Updated to 2.3.18
* Fri Oct 24 2014 tboerger@suse.com
- Added new ruby macros
* Mon Mar 18 2013 coolo@suse.com
- updated to version 2.3.17
  * security update (CVE-2013-0276, CVE-2013-0277)
* Tue Jan  8 2013 coolo@suse.com
- updated to version 2.3.15
  * Hash.from_xml raises when it encounters type="symbol" or type="yaml". Use Hash.from_trusted_xml to parse this XML. CVE-2013-0156 [Jeremy Kemper]
* Wed Apr  4 2012 coolo@suse.com
- fix exception message for ruby 1.9
* Wed Aug 17 2011 mrueckert@suse.de
- update to version 2.3.14
  - fixing utf8 escape vulerability (bnc#712060)
  - Fix OrderedHash merging with block given.
* Mon Jun 20 2011 mrueckert@suse.de
- update to version 2.3.12
  * Version bump
* Wed Feb 16 2011 mrueckert@suse.de
- update to version 2.3.11: (bnc#668817)
  - XSS Risk in mail_to :encode=>:javascript CVE-2011-0446
  - CSRF Bypass Risk CVE-2011-0447
  - Filter Problems on Case Insensitive Filesystems CVE-2011-0449
  - Potential SQL Injection with limit() CVE-2011-0448
* Mon Jan 17 2011 mvidner@suse.cz
- Split off doc subpackage.
* Wed Oct 27 2010 mrueckert@suse.de
- update to version 2.3.10
  * i18n: bundle i18n 0.4.1 for forward compatibility with Rails 3.
    Deprecates {{foo}} interpolation syntax in favor of 1.9-native
    %%{foo}.
  * Deprecate Kernel#returning in favor of Object#tap since it's
    included in Ruby 1.8.7 and later. [Santiago Pastorino]
  * Deprecates ActiveSupport::Dependencies.load_(once_)paths,
    renamed to autoload_(once_)paths. [fxn]
  * Deprecates Array#random_element, renamed to sample to match
    Ruby 1.9, thanks to Marc-Andre Lafortune. [fxn]
* Sun Sep  5 2010 mrueckert@suse.de
- update to version 2.3.9
  * i18n: bundle i18n 0.4.1 for forward compatibility with Rails 3.
    Deprecates {{foo}} interpolation syntax in favor of 1.9-native
    %%{foo}.
  * Deprecate Kernel#returning in favor of Object#tap since it's
    included in Ruby 1.8.7 and later. [Santiago Pastorino]
  * Deprecates ActiveSupport::Dependencies.load_(once_)paths,
    renamed to autoload_(once_)paths. [fxn]
  * Deprecates Array#random_element, renamed to sample to match
    Ruby 1.9, thanks to Marc-Andre Lafortune. [fxn]
* Tue May 25 2010 mrueckert@suse.de
- use rubygems_requires macro
* Tue May 25 2010 mrueckert@suse.de
- update to version 2.3.8
  * Version bump.
- additional changes from version 2.3.7
  * HTML safety: fix compatibility with the optional rails_xss
    plugin. [Nathan Weizenbaum, Santiago Pastorino]
- additional changes from version 2.3.6
  * 1.9 compat: deprecated last_(month|year) in favor of
    prev_(month|year). [fxn]
  * Deprecated Array#rand in favor of Array#random_element.
    [Santiago Pastorino, Rizwan Reza]
  * Added Object#presence that returns the object if it's #present?
    otherwise returns nil [DHH/Colin Kelley]
  * New assertions assert_blank and assert_present.
    [#4299] [Juanjo Bazan]
  * Use Object#singleton_class instead of #metaclass. Prefer Ruby's
    choice.  [Jeremy Kemper]
  * JSON backend for YAJL. Preferred if available.
    [#2666] [Brian Lopez]
  * Introduce String#html_safe for rails_xss plugin and
    forward-compatibility with Rails 3.  [Michael Koziarski,
    Santiago Pastorino, José Ignacio Costa]
  * Time#- with a DateTime argument behaves the same as with a Time
    argument, i.e. returns the difference between self and arg as a
    Float #3476 [Geoff Buesing]
  * YAML serialization for OrderedHash.  #3608 [Gregor Schmidt]
  * Add Enumerable#exclude? to bring parity to Enumerable#include?
    and avoid if !x.include?/else calls [DHH]
* Tue Dec  1 2009 chris@computersalat.de
- update to version 2.3.5
  * Minor Bug Fixes and deprecation warnings
  * Fixes for the Nokogiri backend for XmlMini
  * Ruby 1.9 Compatibility
* Thu Sep 10 2009 adrian@suse.de
- update to version 2.3.4
  * Introduce ActiveSupport::Multibyte.clean to clean invalid
    multibyte strings.
  * Bug fixes
* Mon Mar 16 2009 mrueckert@suse.de
- starting package for the rails 2.3 series
